# PSF-LoginServer - master - net.psforever.objects.vital.interaction.DamageInteraction
PSF - LoginServer - master - net.psforever.objects.vital.interaction.DamageInteraction
Keywords: PSF LoginServer master net.psforever.objects.vital.interaction.DamageInteraction

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package interaction
  Definition Classes
    vital
- Adversarial
- DamageInteraction
- DamageResult

o

net.psforever.objects.vital.interaction

# DamageInteraction 

###
Companion class DamageInteraction

#### object DamageInteraction extends Serializable

Source
  DamageInteraction.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageInteraction
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(target: SourceEntry, cause: DamageReason, hitPos: Vector3): DamageInteraction

   Overloaded constructor for an interaction.

   Overloaded constructor for an interaction. Use the resolution from the reason for the damage, shuffle the parameters, and let time default.

   target

     the original affected target

   cause

     the method by which the damage was produced

   hitPos

     the coordinate location where the damage was inflicted

   returns

     a `DamageInteraction` object

5.  def apply(resolution: base.DamageResolution.Value, target: SourceEntry, cause: DamageReason, hitPos: Vector3): DamageInteraction

   Overloaded constructor for an interaction.

   Overloaded constructor for an interaction. Shuffle the order of parameters; let time default.

   resolution

     how the damage is being processed

   target

     the original affected target

   cause

     the method by which the damage was produced

   hitPos

     the coordinate location where the damage was inflicted

   returns

     a `DamageInteraction` object

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped